Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.insights.folders.getById({
folderId: 982079,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.insights.folders.get_by_id(folder_id=982079)
# Handle response
print(res)curl --request GET \
--url https://api.syllable.cloud/api/v1/insights/folders/{folder_id} \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/insights/folders/{folder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "customer-complaints",
"id": 182764,
"last_updated_by": "user@email.com",
"folder_stats": {
"count": 10,
"total_duration": "10:00:00",
"total_size": "213MB"
},
"label": "support",
"description": "Call recordings related to customer complaints",
"created_at": "2026-09-16T00:00:00Z",
"updated_at": "2026-09-17T00:00:00Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}insights.folders
Get Insights Folder Details
GET
/
api
/
v1
/
insights
/
folders
/
{folder_id}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.insights.folders.getById({
folderId: 982079,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.insights.folders.get_by_id(folder_id=982079)
# Handle response
print(res)Authorizations
Path Parameters
Response
Successful Response
Response model for an insight upload folder details.
Human-readable name of insight folder
Example:
"customer-complaints"
System-assign folder ID
Example:
182764
Email of user who last updated upload folder
Example:
"user@email.com"
Meta-data of insight upload files associated with the folder
Show child attributes
Show child attributes
Example:
{ "count": 10, "total_duration": "10:00:00", "total_size": "213MB" }
optional label assigned to insight folder
Example:
"support"
Text description of insight upload folder
Example:
"Call recordings related to customer complaints"
Timestamp at which insight upload folder was created
Example:
"2026-09-16T00:00:00Z"
Timestamp at which insight upload folder was last updated
Example:
"2026-09-17T00:00:00Z"

